> For the complete documentation index, see [llms.txt](https://developer.flash-payments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.flash-payments.com/moving-funds/recipients/delivery-methods.md).

# Delivery methods

Please verify that you have all the required data to initiate a successful payment transfer.

#### List all the available payment delivery methods

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const bodyJSON = {
  variables: {
    input: {
    },
  }, 
  query: `
query ($input: AvailableDeliveryMethodsInput!) {
  availableDeliveryMethods(input: $input) {
    country currency method requiredFields
  }
}`,
};
```

{% endtab %}

{% tab title="GraphQL Query" %}

```graphql
query($input: AvailableDeliveryMethodsInput!) {
  availableDeliveryMethods(input: $input) {
    country
    currency
    method
    requiredFields
  }
}
```

{% endtab %}

{% tab title="Variables" %}

```javascript
{ 
  "input": {
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "availableDeliveryMethods": [
      {
        "country": "AE",
        "currency": "AED",
        "method": "ACC_NO",
        "requiredFields": [
          "bic",
          "accountNo"
        ]
      },
      {
        "country": "AT",
        "currency": "EUR",
        "method": "IBAN",
        "requiredFields": [
          "bic",
          "iban"
        ]
      },
...
```

{% endtab %}
{% endtabs %}

The response above means that if you want to send euros to Austria (AT) then you'd need a BIC (aka SWIFT) code **and** an IBAN.

#### List some of the delivery methods

{% tabs %}
{% tab title="JavaScript" %}

```graphql
const bodyJSON = {
  variables: {
    input: {
      country: "FR",
      currency: "EUR",
    },
  }, 
  query: `
query ($input: AvailableDeliveryMethodsInput!) {
  availableDeliveryMethods(input: $input) {
    country currency method requiredFields
  }
}`,
};
```

{% endtab %}

{% tab title="GraphQL Query" %}

```graphql
query($input: AvailableDeliveryMethodsInput!) {
  availableDeliveryMethods(input: $input) {
    country
    currency
    method
    requiredFields
  }
}
```

{% endtab %}

{% tab title="Variables" %}

```
{
  "input": {
    "country": "FR", 
    "currency": "EUR" 
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "availableDeliveryMethods": [
      {
        "country": "FR",
        "currency": "EUR",
        "method": "ACC_NO",
        "requiredFields": [
          "bic",
          "accountNo"
        ]
      },
      {
        "country": "FR",
        "currency": "EUR",
        "method": "IBAN",
        "requiredFields": [
          "bic",
          "iban"
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

The response above means that to send euros to France (FR) you have to have ether of:

* BIC and an account number, or
* BIC and an IBAN.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.flash-payments.com/moving-funds/recipients/delivery-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
